# alch\_network\_options\_id

Function `alch_network_options_id` is similar to [`alch_options_id`](/v0.9/functions/alch_options_id.md). It returns the filtered configuration option name for the network.

By default, the configuration options are stored in the `alchemy_network_options` option. A [filter](/v0.9/filters/alch_network_options_id.md) is available to change it.

## Parameters

The function doesn't have any parameters.

## Example

```php
    $myNetworkOptionsID = alch_network_options_id();
```

If no functions were executed for the `alch_network_options_id` filter the `$myNetworkOptionsID` variable will be `alchemy_network_options`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alchemy-options.com/v0.9/functions/alch_network_options_id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
